automation-hub
latest
false
- Open API
- Einführung in die Automation Hub API
- Einführung in die Automation Hub API (Automation Cloud – öffentlicher Sektor)
- API-Referenzen
- Generieren Sie Ihr Token im Automation Hub
- Authentifizierung bei der Automation Hub-API
- Authentifizierung bei der Automation Hub-API (Automation Cloud – öffentlicher Sektor)
- Fügen Sie Benutzer mithilfe von OpenAPI massenweise zum Automation Hub hinzu
- Bearbeiten Sie Benutzer im Automation Hub mit OpenAPI massenweise
- Delete an automation using OpenAPI
- Abrufen einer Automatisierungsidee in der Phase „Idee“ und dem Status „Überprüfung ausstehend“
- Abrufen der Kosten-Nutzen-Analyse für eine bestimmte Idee
- Aktualisieren von Phase und Status einer Automatisierungsidee
- Abrufen eines Benutzerkontos
- Aktualisieren der Kontodetails für Mitarbeiter im Automation Hub
- Deaktivieren von Benutzerkonten, die nicht Teil des Unternehmens sind
- Videotutorial zur Integration von Power BI
- Videotutorial zur Integration von ServiceNow Outbound
- Eingabe für Automatisierungspipeline
- Eingabe für Einreichungstyp
- Eingabe für Phase
- Eingabe für Status
- Eingabe für Phasen- und Statusaktualisierung
- Eingabe für Geschäftseinheit
- Eingabe für Anwendungen
- Eingabe für Kategorie
- Eingabe für Kosten-Nutzen-Analyse
- Eingabe für einfache Bewertung
- Eingabe für Detaillierte Bewertung
- Eingabe für Erstellungsdatum der Automatisierungsidee
- Eingabe für Benutzer
- Eingabe für Benutzerstatus
- Benutzerstatustabelle
- Eingabe für Mitarbeitende
- Ausgabe-Wörterbuch
- Power Query-Analysen für Daten aus der Automation Hub Open API
- Benutzerdefinierter Automation Hub-Connector
Wichtig :
Bitte beachten Sie, dass dieser Inhalt teilweise mithilfe von maschineller Übersetzung lokalisiert wurde.
Es kann 1–2 Wochen dauern, bis die Lokalisierung neu veröffentlichter Inhalte verfügbar ist.
Automation Hub-API-Handbuch
Delete an automation from Automation Hub by calling the DELETE /api/v1/openapi/automations/{id} endpoint.
Voraussetzungen
- You have an active Automation Hub API token. For instructions, see Generate your Token from Automation Hub.
- You know the numeric ID of the automation you want to delete. You can retrieve it from the automation's URL in Automation Hub or via a
GET /api/v1/openapi/automationscall. - You have the System Admin or Program Manager role.
Delete an automation
-
Construct the request URL using the automation ID:
DELETE https://{baseUrl}/api/v1/openapi/automations/{id}DELETE https://{baseUrl}/api/v1/openapi/automations/{id} -
Include the required authentication header:
Kopfzeile Wert x-ah-openapi-app-keyYour Automation Hub API token x-ah-openapi-authopenapiContent-Typeapplication/json -
Optionally include a comment in the request body:
{ "comment": "Removing duplicate entry." }{ "comment": "Removing duplicate entry." } -
Send the request.
Ergebnisse
A successful deletion returns HTTP 200. The automation is permanently removed from the tenant and no longer appears in Automation Hub.
Fehlercodes
| Code | Bedeutung |
|---|---|
400 | Bad request — the request body is malformed or a required field is invalid. |
404 | Not found — no automation with the specified ID exists in the tenant. |
Example: delete multiple automations using a script
Use the following PowerShell script to delete a list of automations by ID:
$baseUrl = "https://<your-tenant>.automation-hub.uipath.com"
$appKey = "<your-api-token>"
$ids = @(1001, 1002, 1003)
$comment = "Bulk cleanup"
foreach ($id in $ids) {
$response = Invoke-RestMethod `
-Method Delete `
-Uri "$baseUrl/api/v1/openapi/automations/$id" `
-Headers @{
"x-ah-openapi-app-key" = $appKey
"x-ah-openapi-auth" = "openapi"
"Content-Type" = "application/json"
} `
-Body (ConvertTo-Json @{ comment = $comment })
Write-Host "Deleted $id — Status: $($response.StatusCode)"
}
$baseUrl = "https://<your-tenant>.automation-hub.uipath.com"
$appKey = "<your-api-token>"
$ids = @(1001, 1002, 1003)
$comment = "Bulk cleanup"
foreach ($id in $ids) {
$response = Invoke-RestMethod `
-Method Delete `
-Uri "$baseUrl/api/v1/openapi/automations/$id" `
-Headers @{
"x-ah-openapi-app-key" = $appKey
"x-ah-openapi-auth" = "openapi"
"Content-Type" = "application/json"
} `
-Body (ConvertTo-Json @{ comment = $comment })
Write-Host "Deleted $id — Status: $($response.StatusCode)"
}
For more information, see the API References page.